std::__debug::vector< _Tp, _Allocator >(3)

NAME
std::__debug::vector< _Tp, _Allocator > - Class std::vector with safety/checking/debug instrumentation.

SYNOPSIS

#include <vector>

Inherits __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >, vector< _Tp, std::allocator< _Tp > >, and __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >.

  Public Types
typedef _Allocator allocator_type
typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, vector > const_iterator
typedef _Base::const_pointer const_pointer
typedef _Base::const_reference const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef _Base::difference_type difference_type
typedef __gnu_debug::_Safe_iterator< _Base_iterator, vector > iterator
typedef _Base::pointer pointer
typedef _Base::reference reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef _Base::size_type size_type
typedef _Tp value_type

  Public Member Functions
constexpr vector (_Base_ref __x)
Construction from a normal-mode vector.
template<class _InputIterator , typename = std::_RequireInputIter<_InputIterator>> constexpr vector (_InputIterator __first, _InputIterator __last, const _Allocator &__a=_Allocator())
constexpr vector (const _Allocator &__a) noexcept
vector (const vector &)=default
constexpr vector (const vector &__x, const __type_identity_t< allocator_type > &__a)
constexpr vector (initializer_list< value_type > __l, const allocator_type &__a=allocator_type())
constexpr vector (size_type __n, const __type_identity_t< _Tp > &__value, const _Allocator &__a=_Allocator())
constexpr vector (size_type __n, const _Allocator &__a=_Allocator())
vector (vector &&)=default
constexpr vector (vector &&__x, const __type_identity_t< allocator_type > &__a) noexcept(std::is_nothrow_constructible< _Base, _Base, const allocator_type & >::value)
constexpr const _Base & _M_base () const noexcept
constexpr _Base & _M_base () noexcept
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> constexpr void assign (_InputIterator __first, _InputIterator __last)
constexpr void assign (initializer_list< value_type > __l)
constexpr void assign (size_type __n, const _Tp &__u)
constexpr const_reference back () const noexcept
constexpr reference back () noexcept
constexpr const_iterator begin () const noexcept
constexpr iterator begin () noexcept
constexpr size_type capacity () const noexcept
constexpr const_iterator cbegin () const noexcept
constexpr const_iterator cend () const noexcept
constexpr void clear () noexcept
constexpr const_reverse_iterator crbegin () const noexcept
constexpr const_reverse_iterator crend () const noexcept
template<typename... _Args> constexpr iterator emplace (const_iterator __position, _Args &&... __args)
template<typename... _Args> constexpr reference emplace_back (_Args &&... __args)
constexpr const_iterator end () const noexcept
constexpr iterator end () noexcept
constexpr iterator erase (const_iterator __first, const_iterator __last)
constexpr iterator erase (const_iterator __position)
constexpr const_reference front () const noexcept
constexpr reference front () noexcept
template<class _InputIterator , typename = std::_RequireInputIter<_InputIterator>> constexpr iterator insert (const_iterator __position, _InputIterator __first, _InputIterator __last)
template<typename _Up = _Tp> constexpr __gnu_cxx::__enable_if<!std::__are_same< _Up, bool >::__value, iterator >::__type insert (const_iterator __position, _Tp &&__x)
constexpr iterator insert (const_iterator __position, const _Tp &__x)
constexpr iterator insert (const_iterator __position, initializer_list< value_type > __l)
constexpr iterator insert (const_iterator __position, size_type __n, const _Tp &__x)
vector & operator= (const vector &)=default
constexpr vector & operator= (initializer_list< value_type > __l)
vector & operator= (vector &&)=default
constexpr const_reference operator[] (size_type __n) const noexcept
constexpr reference operator[] (size_type __n) noexcept
constexpr void pop_back () noexcept
template<typename _Up = _Tp> constexpr __gnu_cxx::__enable_if<!std::__are_same< _Up, bool >::__value, void >::__type push_back (_Tp &&__x)
constexpr void push_back (const _Tp &__x)
constexpr const_reverse_iterator rbegin () const noexcept
constexpr reverse_iterator rbegin () noexcept
constexpr const_reverse_iterator rend () const noexcept
constexpr reverse_iterator rend () noexcept
constexpr void reserve (size_type __n)
constexpr void resize (size_type __sz)
constexpr void resize (size_type __sz, const _Tp &__c)
constexpr void shrink_to_fit ()
constexpr void swap (vector &__x) noexcept(/*conditional */)

  Protected Member Functions
bool _M_requires_reallocation (size_type __elements) const noexcept
constexpr void _M_swap (_Safe_container &__x) noexcept
constexpr void _M_update_guaranteed_capacity () noexcept

  Protected Attributes
size_type _M_guaranteed_capacity

  Friends
template<typename _ItT , typename _SeqT , typename _CatT > class ::__gnu_debug::_Safe_iterator

Detailed Description

  template<typename _Tp, typename _Allocator = std::allocator<_Tp>>
class std::__debug::vector< _Tp, _Allocator >"Class std::vector with safety/checking/debug instrumentation.

Constructor & Destructor Documentation

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> constexpr std::__debug::vector< _Tp, _Allocator >::vector (_Base_ref __x) [inline], [constexpr]

Construction from a normal-mode vector.

Author

Generated automatically by Doxygen for libstdc++ from the source code.